com.sun.grid.jgdi.util.shell

## Annotation Type OptionAnnotation

-     @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public @interface OptionAnnotation

  Option Function Annotation Is intended to be used for automatic option info discovery

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static int` | `MAX_ARG_VALUE`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value` option string

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `defaultStringArg` default arg in case of no arguments string
    `int` | `extra` number of optional args
    `int` | `min` number of required args

- - ### Field Detail

    - #### MAX_ARG_VALUE

          public static final int MAX_ARG_VALUE

  - ### Element Detail

    - #### value

          public abstract java.lang.String value

      option string
      Returns:
        String

  - - #### defaultStringArg

          public abstract java.lang.String defaultStringArg

      default arg in case of no arguments string
      Returns:
        String
      Default:
        ""

  - - #### min

          public abstract int min

      number of required args
      Returns:
        int
      Default:
        1

  - - #### extra

          public abstract int extra

      number of optional args
      Returns:
        int
      Default:
        0

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.